#include "ff.h"

//we changed the SPI speed macros due to our microcontroller running at 16 MHz compared to the Alarm Clock's 8 Mhz
#define spi_slow() SPCR = (SPCR & (~_BV(SPR1))) | _BV(SPR0); SPSR |= _BV(SPI2X) //speed for VS1011L-E
#define spi_fast() SPCR &= ~_BV(SPR1) & ~_BV(SPR0); SPSR &= ~_BV(SPI2X) //speed for SD card

//pin definitions for SPI
#define SPI_PORTDIR DDRB
#define SPI_PORTOUTPUT PORTB
#define SPI_PORTINPUT PINB
#define SPI_PIN_MOSI 5
#define SPI_PIN_MISO 6
#define SPI_PIN_SCK 7
#define SPI_PIN_SS 4

FIL file; //the currently opened file

